[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDragDockObject.AdjustDockRect

Adjust the DockRect relative to the dragging hotspot (DockOffset).

## Declaration

Source position: controls.pp line 599

`protected procedure TDragDockObject.AdjustDockRect(`
`ARect: TRect`
`); virtual;`

## Arguments

`ARect` |  | Not used; please ignore it.

## Description

Remark: | The parameter type is bad, should be var. Ignore it please.

The default implementation adjusts the stored FDockRect, by DockOffset. This adjustment will make the DockRect appear right over the control, when dragging starts, regardless of where the user clicked onto the control.

You will rarely need to override this method, since the DockRect is adjusted by every target site's DockManager later.